﻿using Misc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.Base.UI
{
    public class LCUS1_dependOn:LCUS1
    {
        ParamDictionary paramDictionary;
        FLY.OBJComponents.IService.IWarningSystem2Service warningService;
        public LCUS1_dependOn(
            ParamDictionary paramDictionary, 
            FLY.OBJComponents.IService.IWarningSystem2Service warningService) 
        {
            this.paramDictionary = paramDictionary;
            this.warningService = warningService;
            //绑定 this.PortName 与 this.paramDictionary.LCUS1_PortName
            this.paramDictionary.SetBinding(this, nameof(PortName), ParamDistItemKeys.LCUS1_PortName, "COM1");

            this.warningService.PropertyChanged += (s, e) =>
            {
                if (e.PropertyName == nameof(this.warningService.IsRinging))
                {
                    if (this.paramDictionary.GetValue(ParamDistItemKeys.LCUS1_Enable, false))
                    {
                        if (this.warningService.IsRinging)
                        {
                            On();
                        }
                        else
                        {
                            Off();
                        }
                    }
                }
            };
        }
    }
}
